Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
SecondaryRecnoDatabase Class
Members See Also Send Feedback

A class representing a RecnoDatabase. The Recno format supports fixed- or variable-length records, accessed sequentially or by logical record number, and optionally backed by a flat text file.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public class SecondaryRecnoDatabase : SecondaryDatabase

Visual Basic (Declaration)
    Public Class SecondaryRecnoDatabase _
    	Inherits SecondaryDatabase

Visual C++
    public ref class SecondaryRecnoDatabase : public SecondaryDatabase

# Inheritance Hierarchy

System..::.Object
BerkeleyDB..::.BaseDatabase
BerkeleyDB..::.SecondaryDatabase
BerkeleyDB..::.SecondaryRecnoDatabase

# See Also

SecondaryRecnoDatabase Members
BerkeleyDB Namespace